Elput seat functions

Functions for getting attributes of seats. More...

## Functions

EAPI const Eina_List * | elput_seat_devices_get (const Elput_Seat *seat)
| Get the list of devices on a given seat.
EAPI Eina_Stringshare * | elput_seat_name_get (const Elput_Seat *seat)
| Get the name of a given seat.
EAPI Elput_Manager * | elput_seat_manager_get (const Elput_Seat *seat)
| Get the manager of a given seat.

## Detailed Description

Functions for getting attributes of seats.

## Function Documentation

## elput_seat_devices_get()

EAPI const Eina_List * elput_seat_devices_get | ( | const Elput_Seat * | seat | ) |

Get the list of devices on a given seat.

Parameters

  seat |

Returns
  An immutable list of existing Elput_Devices on a given seat or NULL on failure

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## elput_seat_name_get()

EAPI Eina_Stringshare * elput_seat_name_get | ( | const Elput_Seat * | seat | ) |

Get the name of a given seat.

Parameters

  seat |

Returns
  The name

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN_VAL.

## elput_seat_manager_get()

EAPI Elput_Manager * elput_seat_manager_get | ( | const Elput_Seat * | seat | ) |

Get the manager of a given seat.

Parameters

  seat |

Returns
  The Elput_Manager

Since
  1.20

References EINA_SAFETY_ON_NULL_RETURN_VAL.